## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate libbpf-rs

Name:           rust-%{crate}
Version:        0.16.0
Release:        %autorelease
Summary:        Safe, idiomatic, and opinionated wrapper around libbpf-sys

# Upstream license specification: LGPL-2.1 OR BSD-2-Clause
License:        LGPLv2 or BSD
URL:            https://crates.io/crates/libbpf-rs
Source:         %{crates_source}
# Turn on the novendor feature by default
Patch0:         libbpf-rs-fix-metadata.diff
# Downgrade libbpf-sys to 0.4.0-2; this patch is meant for Fedora 35 and lower
# where libbpf is still at 0.4.0
Patch1:         libbpf-rs-downgrade-libbpf-sys-040.patch
# Downgrade libbpf-sys to 0.5.0-2 (for Fedora 36)
Patch2:         libbpf-rs-downgrade-libbpf-sys-050.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Safe, idiomatic, and opinionated wrapper around libbpf-sys.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE LICENSE.BSD-2-Clause LICENSE.LPGL-2.1
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+novendor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+novendor-devel %{_description}

This package contains library source intended for building other packages which
use the "novendor" feature of the "%{crate}" crate.

%files       -n %{name}+novendor-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%setup -q -n %{crate}-%{version_no_tilde}
%patch0 -p1
%if 0%{?fedora} < 36
%patch1 -p1
%else
%if 0%{?fc36}
%patch2 -p1
%else
sed -i -e 's/version = "0.6.0-1"/version = "0.6.1-2"/' Cargo.toml
%endif
%endif
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# most of these tests fail, RLIMIT_MEMLOCK does not work in mock
rm tests/test.rs
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Feb 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.16.0-3
- Remove old patch

* Wed Feb 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.16.0-2
- Update patch to allow building against libbpf-sys-0.4.0-2

* Tue Feb 15 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.16.0-1
- Update to 0.16.0 (resolves: rhbz#2028952)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.14.0-1
- Update to 0.14.0; Fixes: RHBZ#2022163

* Sun Oct 24 2021 Davide Cavalca <davide@cavalca.name> 0.13.0-2
- Downgrade libbpf-sys to 0.4.0-2 on Fedora 35 and earlier

* Thu Oct 14 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.13.0-1
- Update to 0.13.0; Fixes: RHBZ#1989690

* Fri Jul 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.11.2-2
- Backport novendor feature from PR#125

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.11.2-1
- Update to 0.11.2; Fixes: RHBZ#1983187

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Thu Jun 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-2
- Bump strum_macros to 0.21

* Fri Jun 04 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0
- Backport PR#112 to bump libbpf-sys to 0.4.0-1

* Wed Jun 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Tue May 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.2-1
- Update to 0.9.3

* Tue May 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2
- Install README

* Mon May 10 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1
- Update build requires
- Install license files

* Fri May 07 10:04:18 PDT 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.0-1
- Initial package

